Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

IMPORTANT - For those 'Jump Upgrading' firmware to v1.4.0.10

Discussion in 'News' started by The Editor, Sep 8, 2015.

  1. The Editor

    The Editor Moderator
    Staff Member

    Joined:
    Aug 7, 2013
    Messages:
    6,716
    Likes Received:
    3,871
    Please note DJI's latest message on their download page:
    Quote "The All-in-One firmware v1.4.0.10 does not include remote controller update package. However, for the best user experience, it is recommended that the users who are using the firmware that older than v1.3.0.00 to update the firmware to v1.3.0.00 before updating the aircraft."

    Inspire 1 - Downloads - Manuals, Software, Drivers download | DJI

    This affects users who have NOT kept up to date with FW upgrades. If users 'jump' from FW v1.2.1.06 or older then there may be an issue with an 'Upgrade Required' message regarding the remote control.

    In these instances, as per DJI's instructions - do an incremental upgrade to v1.3.0.00 FIRST and then do the upgrade to v1.4.0.10.

    This will prevent the message from appearing.

    I will make this a sticky for the time being.
     
  2. Hercules_One

    Joined:
    Jun 22, 2015
    Messages:
    157
    Likes Received:
    26
    Thank you Editor!!!
     
  3. jon b

    Joined:
    Jan 8, 2015
    Messages:
    394
    Likes Received:
    129
    Location:
    Chicago
    Just read that too [in a big red box]. I've followed the path as far as upgrades and kept an open mind and thus far have had no problems (past the ones I make for myself:)

    Looking forward for the weather clearing and putting waypoints and POI to work
     
  4. FangsCPO

    Joined:
    Apr 7, 2013
    Messages:
    947
    Likes Received:
    54
    Location:
    Chula Vista, CA
    Thanks for clearing that up for the masses.
     
    turbodronepilot likes this.
  5. Simon Torkington

    Joined:
    Mar 4, 2015
    Messages:
    72
    Likes Received:
    21
    I wish I had known that yesterday. It would have saved me hours of stress. Great that the info is out there now. Thanks.
     
    turbodronepilot likes this.
  6. Michael Hicks

    Joined:
    Jul 26, 2015
    Messages:
    9
    Likes Received:
    0
     
  7. jon b

    Joined:
    Jan 8, 2015
    Messages:
    394
    Likes Received:
    129
    Location:
    Chicago
    This was laid out in the description of firmware 1.3 kind of...
     
  8. Michael Hicks

    Joined:
    Jul 26, 2015
    Messages:
    9
    Likes Received:
    0
    Sorry. Pressed the wrong key. I have a problem with 1.04.10. Been trying to update the normal way but aircraft says the Firmware is up to date already. I did update the DJI GO app beforehand. Can the app update the aircraft directly?
     
  9. Simon Torkington

    Joined:
    Mar 4, 2015
    Messages:
    72
    Likes Received:
    21
    The app can't update the aircraft - it only updates the controllers. Have you removed v 1.3 from the SD card and are you sure you have 1.4 in the root directory?
     
  10. World Media

    Joined:
    Feb 22, 2015
    Messages:
    237
    Likes Received:
    102
    Location:
    Kingston, Jamaica
    I did not update the previous version, about to update to this one.
    Quick question ED / anyone
    I realise I need to update the controllers to 1.3.
    Do I also need to update the AC to 1.3 and then Update it to 1.4 or can I update the AC straight to 1.4 after doing the remotes?

    Thanks in advance.
     
  11. Mr Phantom

    Joined:
    Jun 19, 2015
    Messages:
    294
    Likes Received:
    25
    As stated in the first post in this thread you shall update the aircraft to 1.3 first and then to 1.4 if you have not updated to 1.3 earlier.
     
  12. StillsAndVideo

    Joined:
    Apr 23, 2015
    Messages:
    15
    Likes Received:
    0
    Wish I read this sooner. I updated my Inspire skipping over 1.3 right to 1.4 successfully but the controllers never got updated. After reading this, I tried to install 1.3 on the RC's (have 2) and neither will accept 1.3 nor 1.4 at this point. Doesn't even give me a txt file with any info. Any suggestions would be appreciated.
     
  13. Mr Phantom

    Joined:
    Jun 19, 2015
    Messages:
    294
    Likes Received:
    25
    Have you tried a reset of the RC with the reset patch file. There is a thread about it in the "help" section, its a sticky. Its the first thread in the "help" section.
     
  14. StillsAndVideo

    Joined:
    Apr 23, 2015
    Messages:
    15
    Likes Received:
    0
    I tried the reset patch but that didn't work as well. I then tried the 1.3. bin file saved on a freshly formatted USB thumb drive and that worked. Had to try 2 or 3 drives before I got one to work though. Weird but my RC is now updated so I'm smiling.
     
  15. World Media

    Joined:
    Feb 22, 2015
    Messages:
    237
    Likes Received:
    102
    Location:
    Kingston, Jamaica
    Appreciate the quick response but actually that's not exactly what it says! Hence the reason for my very specific question.

    It discusses the remotes specifically and then states "However, for the best user experience, it is recommended that the users who are using the firmware that older than v1.3.0.00 to update the firmware to v1.3.0.00 before updating the aircraft."
    The pertinent part being "before updating the aircraft" It is ambiguous and actually I believe that it means update the remotes first then go ahead and Jump to 1.4 on the AC.

    For anyone else going through the same procedure and who has the slightest interest what I decided to do is as follows:

    Downloaded both versions from the dji website
    Put 1.4 onto a newly formatted ( ex fat 32) sd card no other files present
    Put 1.3 onto a newly formatted (ex fat 32) usb thumb drive


    Updated master controller to 1.3 vis usb
    checked txt file
    deleted txt file
    Updated slave controller to 1.3
    Checked txt file


    Ensured remotes switched off

    Updated AC to 1.4 vis sd card in camera

    2014.01.01 00:00:10 unsynchronized ======
    Packet: WM610_FW_V01.04.00.10.bin
    Upgrading ...
    Result: Success.

    Just running through the IMU calibration now
     
  16. Michael Hicks

    Joined:
    Jul 26, 2015
    Messages:
    9
    Likes Received:
    0
    Hi. I had updated to 1.3 back in August and, just in case, had reformatted the SD.
    The update started OK 0n both times I've tried and then after a few seconds it stops.
    Message on SD says that there is a more recent firmware on the aircraft.
    Controller says that the most recent firmware is installed. Bit baffling!!!
    Any ideas?
     
  17. Grasshopper

    Joined:
    Aug 15, 2015
    Messages:
    23
    Likes Received:
    3
    Location:
    Saffron Walden
    With the latest firmware I upgraded AC to 1.4, checked the RC was 1.3 and overall status was normal. powered everthing down then decided to update a battery and the AC started loud double and a continuous D-D-D-D-D-Dmand the camera sits at an angle. Meassages on the screen are MC connection to centre board failed and gimbal cannot receive MC data. The suggested solution posted on the screen is to check the 8 pin connector between the damping plate and AC to see that none are loose. Can anyone tell me where the damping plate is located before I have to get DJI to do the check and replace if neccessary.

    Thanks
     
  18. Mr Phantom

    Joined:
    Jun 19, 2015
    Messages:
    294
    Likes Received:
    25
    Damping plate is the plate that is just above the gimbal connector, the plate that has the black rubber "balls".
     
  19. Mr Phantom

    Joined:
    Jun 19, 2015
    Messages:
    294
    Likes Received:
    25
    Yes it seems as the text means that the RC controller should be updated to 1.3 if that is not already done, not the aircraft.
    I hadn't read the text earlier, i just stated what the first post in this thread said, but after i now have read the text i agree its the RC controller DJI are talking about.
     
  20. Truck Driver

    Joined:
    Sep 20, 2015
    Messages:
    2
    Likes Received:
    0
    I'm receiving my inspire 1 in about a week, will the firmware be updated to 1.4 or will I need to update it